Bottle Cap Arena is a 3D game developed by Unnitech.
Play Store link: https://play.google.com/apps/testing/com.unnitech.octofuture.GetThePoint

P.S: Game is in Beta and very soon will be available for everyone on playstore and appstore.